Get A Specific Block

Get A Specific Block

This endpoints returns you the information of the block given the block number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • block_number - a slot integer denoting the target block number

Results

Valid Response

<object>- a JSON object containing the following fields:

  • Example of a valid response:
{
  "status": "Success",
  "message": "Retrieved Block",
  "result": {
    "blockNumber": 200000000,
    "data": {
      "epoch": 462,
      "previousHash": "6pVPHuTPZxwFueNHyFQGtb1vzj8czCDuJPPH8VvFpyMc",
      "producer": "RBFiUqjYuy4mupzZaU96ctXJBy23sRBRsL3KivDAsFM",
      "hash": "bYJHNf3HevTfeX2EDCoHNCs3zedpdsTYAF8g3s1yuxZ",
      "parentNumber": 199999999,
      "number": 200000000,
      "dataSize": 0,
      "numberOfTransactions": 3769,
      "successfulTransactions": 3510,
      "voteTransactions": 3744,
      "totalTxFees": 18867575,
      "numberOfRewards": 473,
      "totalRewardAmount": 9437447,
      "totalComputeUnitsConsumed": 1776690,
      "totalComputeUnitsLimit": 38829586,
      "blockTime": 1686964563
    }
  }
}

Invalid Response

<object> - a JSON object containing the following fields if the requested account doesn't exist

  • code:<integer>, The error code
  • message:<String>, An error message to indicate which part of the query went wrong
  • status:<String>, The response status following the error code
    • 400 = Bad Request (client side)
    • 500 = Internal Server Error (server side)
Path Params
int64
required
≥ 0

The block number to query for

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json